%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name prettytable
%define version 0.7.2
%define unmangled_version 0.7.2
%define unmangled_version 0.7.2
%define release 1

Summary: A simple Python library for easily displaying tabular data in a visually appealing ASCII table format
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}prettytable
Version: %{version}
Release: %{release}
Source0: prettytable-%{unmangled_version}.tar.bz2
License: BSD (3 clause)
Group: Development/Libraries
BuildRoot: %{_tmppath}/prettytable-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Luke Maurits <luke@maurits.id.au>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: http://code.google.com/p/prettytable


%description
UNKNOWN


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n prettytable-%{unmangled_version} -n prettytable-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
